precision highp float;

uniform sampler2D texture;
uniform float time;
varying vec2 txCoord;

void main() {
    vec2 uv = vec2(txCoord.xy);
    vec2 control = vec2(0.7, 0.7);
    vec2 m = vec2(control.xy);
    float d = (length(m) < .02) ? .015 : m.x / 10.;

    gl_FragColor = vec4(texture2D(texture, uv - d).x, texture2D(texture, uv).x, texture2D(texture, uv + d).x, 1.0);
}
