precision highp float;

uniform sampler2D texture;
uniform float time;
varying vec2 txCoord;

void main() {
    vec2 uv = txCoord.xy;

	vec4 color;

	float go = sin(time) * 0.01;
	float go2 = sin(time) * 0.01;

	vec2 strength = vec2(1.5, 0.5);

	color.r = texture2D(texture, uv-vec2(go, 0.0) * strength).r;
	color.g = texture2D(texture, uv-vec2(0.005, go2) * strength).g;
	color.b = texture2D(texture, uv).g;

	color.a = 1.0;

	gl_FragColor = color;
}

