precision highp float;

uniform sampler2D texture;
varying vec2 txCoord;

vec3 W = vec3(0.2125, 0.7154, 0.0721);

void main() {
    vec4 color = texture2D(texture, txCoord);
    float grey = dot(color.rgb, W);
    gl_FragColor = vec4(grey, grey, grey, color.a);
}