precision highp float;
attribute vec2 position;
uniform mat4 transform;
uniform mat4 orientation;
uniform vec2 ratio;
varying vec2 txCoord;
varying vec2 txCoord2;

void main() {
	gl_Position = vec4(position, 0.0, 1.0);
	txCoord = (transform * ((orientation * gl_Position + 1.0) * 0.5)).xy;
	txCoord2 = (transform * ((orientation * gl_Position + 1.0) * 0.5)).xy;
	gl_Position.xy *= ratio;
}